package com.chaozhanggui.dao.system.entity;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
import java.util.Date;

public class TbPlussMerchantBaseInfo implements Serializable {
    private Integer id;

    private String bindingcode;

    private Integer userid;

    private String aliaccount;

    private String merchantcode;

    private String merchantname;

    private String merchanttype;

    private String productdesc;

    private String alimcc;

    private String mcc;

    private String mccname;

    private String alias;

    private String contactmobile;

    private String contactname;

    private String addressno;

    private String province;

    private String city;

    private String district;

    private String address;

    private String email;

    private String principalmobile;

    private String principalcerttype;

    private String principalcertno;

    private String principalperson;

    private String bussauthname;

    private String bussauthnum;

    private String bussauthaddress;

    private String bussauthstarttime;

    private String bussauthendtime;

    private String certorgcode;

    private Date createdt;

    private Date updatedt;

    private String creator;

    private String buslictype;

    private String isvoice;

    private String allowbanklarge;

    private String wxcertstatus;

    private String ispushwxmessage;

    private String isunionpay;

    private String md5key;

    private String limitpay;

    private String subappid;

    private String appid;

    private Date firsttradetime;

    private Date lasttradetime;

    private Byte splitflag;

    private Byte validflag;
    @TableField(exist = false)
    private String picUrl1;
    @TableField(exist = false)
    private String picUrl2;
    @TableField(exist = false)
    private String picUrl3;
    @TableField(exist = false)
    private String picUrl6;
    @TableField(exist = false)
    private String picUrl7;
    @TableField(exist = false)
    private String picUrl8;
    @TableField(exist = false)
    private String picUrl9;
    @TableField(exist = false)
    private String picUrl999;
    @TableField(exist = false)
    private String picUrl101;
    @TableField(exist = false)
    private String picUrl102;
    @TableField(exist = false)
    private String picUrl11;

    public String getPicUrl1() {
        return picUrl1;
    }

    public void setPicUrl1(String picUrl1) {
        this.picUrl1 = picUrl1;
    }

    public String getPicUrl2() {
        return picUrl2;
    }

    public void setPicUrl2(String picUrl2) {
        this.picUrl2 = picUrl2;
    }

    public String getPicUrl3() {
        return picUrl3;
    }

    public void setPicUrl3(String picUrl3) {
        this.picUrl3 = picUrl3;
    }

    public String getPicUrl6() {
        return picUrl6;
    }

    public void setPicUrl6(String picUrl6) {
        this.picUrl6 = picUrl6;
    }

    public String getPicUrl7() {
        return picUrl7;
    }

    public void setPicUrl7(String picUrl7) {
        this.picUrl7 = picUrl7;
    }

    public String getPicUrl8() {
        return picUrl8;
    }

    public void setPicUrl8(String picUrl8) {
        this.picUrl8 = picUrl8;
    }

    public String getPicUrl9() {
        return picUrl9;
    }

    public void setPicUrl9(String picUrl9) {
        this.picUrl9 = picUrl9;
    }

    public String getPicUrl999() {
        return picUrl999;
    }

    public void setPicUrl999(String picUrl999) {
        this.picUrl999 = picUrl999;
    }

    public String getPicUrl101() {
        return picUrl101;
    }

    public void setPicUrl101(String picUrl101) {
        this.picUrl101 = picUrl101;
    }

    public String getPicUrl102() {
        return picUrl102;
    }

    public void setPicUrl102(String picUrl102) {
        this.picUrl102 = picUrl102;
    }

    public String getPicUrl11() {
        return picUrl11;
    }

    public void setPicUrl11(String picUrl11) {
        this.picUrl11 = picUrl11;
    }

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getBindingcode() {
        return bindingcode;
    }

    public void setBindingcode(String bindingcode) {
        this.bindingcode = bindingcode == null ? null : bindingcode.trim();
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public String getAliaccount() {
        return aliaccount;
    }

    public void setAliaccount(String aliaccount) {
        this.aliaccount = aliaccount == null ? null : aliaccount.trim();
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getMerchantname() {
        return merchantname;
    }

    public void setMerchantname(String merchantname) {
        this.merchantname = merchantname == null ? null : merchantname.trim();
    }

    public String getMerchanttype() {
        return merchanttype;
    }

    public void setMerchanttype(String merchanttype) {
        this.merchanttype = merchanttype == null ? null : merchanttype.trim();
    }

    public String getProductdesc() {
        return productdesc;
    }

    public void setProductdesc(String productdesc) {
        this.productdesc = productdesc == null ? null : productdesc.trim();
    }

    public String getAlimcc() {
        return alimcc;
    }

    public void setAlimcc(String alimcc) {
        this.alimcc = alimcc == null ? null : alimcc.trim();
    }

    public String getMcc() {
        return mcc;
    }

    public void setMcc(String mcc) {
        this.mcc = mcc == null ? null : mcc.trim();
    }

    public String getMccname() {
        return mccname;
    }

    public void setMccname(String mccname) {
        this.mccname = mccname == null ? null : mccname.trim();
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias == null ? null : alias.trim();
    }

    public String getContactmobile() {
        return contactmobile;
    }

    public void setContactmobile(String contactmobile) {
        this.contactmobile = contactmobile == null ? null : contactmobile.trim();
    }

    public String getContactname() {
        return contactname;
    }

    public void setContactname(String contactname) {
        this.contactname = contactname == null ? null : contactname.trim();
    }

    public String getAddressno() {
        return addressno;
    }

    public void setAddressno(String addressno) {
        this.addressno = addressno == null ? null : addressno.trim();
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province == null ? null : province.trim();
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city == null ? null : city.trim();
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district == null ? null : district.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public String getPrincipalmobile() {
        return principalmobile;
    }

    public void setPrincipalmobile(String principalmobile) {
        this.principalmobile = principalmobile == null ? null : principalmobile.trim();
    }

    public String getPrincipalcerttype() {
        return principalcerttype;
    }

    public void setPrincipalcerttype(String principalcerttype) {
        this.principalcerttype = principalcerttype == null ? null : principalcerttype.trim();
    }

    public String getPrincipalcertno() {
        return principalcertno;
    }

    public void setPrincipalcertno(String principalcertno) {
        this.principalcertno = principalcertno == null ? null : principalcertno.trim();
    }

    public String getPrincipalperson() {
        return principalperson;
    }

    public void setPrincipalperson(String principalperson) {
        this.principalperson = principalperson == null ? null : principalperson.trim();
    }

    public String getBussauthname() {
        return bussauthname;
    }

    public void setBussauthname(String bussauthname) {
        this.bussauthname = bussauthname == null ? null : bussauthname.trim();
    }

    public String getBussauthnum() {
        return bussauthnum;
    }

    public void setBussauthnum(String bussauthnum) {
        this.bussauthnum = bussauthnum == null ? null : bussauthnum.trim();
    }

    public String getBussauthaddress() {
        return bussauthaddress;
    }

    public void setBussauthaddress(String bussauthaddress) {
        this.bussauthaddress = bussauthaddress == null ? null : bussauthaddress.trim();
    }

    public String getBussauthstarttime() {
        return bussauthstarttime;
    }

    public void setBussauthstarttime(String bussauthstarttime) {
        this.bussauthstarttime = bussauthstarttime == null ? null : bussauthstarttime.trim();
    }

    public String getBussauthendtime() {
        return bussauthendtime;
    }

    public void setBussauthendtime(String bussauthendtime) {
        this.bussauthendtime = bussauthendtime == null ? null : bussauthendtime.trim();
    }

    public String getCertorgcode() {
        return certorgcode;
    }

    public void setCertorgcode(String certorgcode) {
        this.certorgcode = certorgcode == null ? null : certorgcode.trim();
    }

    public Date getCreatedt() {
        return createdt;
    }

    public void setCreatedt(Date createdt) {
        this.createdt = createdt;
    }

    public Date getUpdatedt() {
        return updatedt;
    }

    public void setUpdatedt(Date updatedt) {
        this.updatedt = updatedt;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator == null ? null : creator.trim();
    }

    public String getBuslictype() {
        return buslictype;
    }

    public void setBuslictype(String buslictype) {
        this.buslictype = buslictype == null ? null : buslictype.trim();
    }

    public String getIsvoice() {
        return isvoice;
    }

    public void setIsvoice(String isvoice) {
        this.isvoice = isvoice == null ? null : isvoice.trim();
    }

    public String getAllowbanklarge() {
        return allowbanklarge;
    }

    public void setAllowbanklarge(String allowbanklarge) {
        this.allowbanklarge = allowbanklarge == null ? null : allowbanklarge.trim();
    }

    public String getWxcertstatus() {
        return wxcertstatus;
    }

    public void setWxcertstatus(String wxcertstatus) {
        this.wxcertstatus = wxcertstatus == null ? null : wxcertstatus.trim();
    }

    public String getIspushwxmessage() {
        return ispushwxmessage;
    }

    public void setIspushwxmessage(String ispushwxmessage) {
        this.ispushwxmessage = ispushwxmessage == null ? null : ispushwxmessage.trim();
    }

    public String getIsunionpay() {
        return isunionpay;
    }

    public void setIsunionpay(String isunionpay) {
        this.isunionpay = isunionpay == null ? null : isunionpay.trim();
    }

    public String getMd5key() {
        return md5key;
    }

    public void setMd5key(String md5key) {
        this.md5key = md5key == null ? null : md5key.trim();
    }

    public String getLimitpay() {
        return limitpay;
    }

    public void setLimitpay(String limitpay) {
        this.limitpay = limitpay == null ? null : limitpay.trim();
    }

    public String getSubappid() {
        return subappid;
    }

    public void setSubappid(String subappid) {
        this.subappid = subappid == null ? null : subappid.trim();
    }

    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid == null ? null : appid.trim();
    }

    public Date getFirsttradetime() {
        return firsttradetime;
    }

    public void setFirsttradetime(Date firsttradetime) {
        this.firsttradetime = firsttradetime;
    }

    public Date getLasttradetime() {
        return lasttradetime;
    }

    public void setLasttradetime(Date lasttradetime) {
        this.lasttradetime = lasttradetime;
    }

    public Byte getSplitflag() {
        return splitflag;
    }

    public void setSplitflag(Byte splitflag) {
        this.splitflag = splitflag;
    }

    public Byte getValidflag() {
        return validflag;
    }

    public void setValidflag(Byte validflag) {
        this.validflag = validflag;
    }
}